summaryrefslogtreecommitdiff
path: root/tsp/watchers/watch_symlinks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tsp/watchers/watch_symlinks.sh')
-rwxr-xr-xtsp/watchers/watch_symlinks.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/tsp/watchers/watch_symlinks.sh b/tsp/watchers/watch_symlinks.sh
new file mode 100755
index 0000000..7d722c9
--- /dev/null
+++ b/tsp/watchers/watch_symlinks.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>
+
+UUID_DIR="/dev/disk/by-uuid"
+
+for SYMLINK in $(find "${UUID_DIR}" -type l)
+do
+ echo "symlink: ${SYMLINK}"
+ DEST="$(readlink "${SYMLINK}")"
+ test -n "${DEST}" || {
+ echo "dest: empty"
+ continue
+ }
+ DEST="${UUID_DIR}/${DEST}"
+ echo "dest: ${DEST}"
+ test -f "${DEST}" && {
+ echo "dest is a file"
+ sudo rm -v "${DEST}"
+ }
+ test -b "${DEST}" && {
+ echo "dest is a block device"
+ continue
+ }
+ sudo rm -v "${SYMLINK}"
+done